<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>Login - Brand</title>
    <link rel="stylesheet" href="../assets/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:400,400i,700,700i,600,600i">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Audiowide&amp;display=swap">
    <link rel="stylesheet" href="../assets/css/codemirror.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/baguettebox.js/1.10.0/baguetteBox.min.css">
    <link rel="stylesheet" href="../assets/css/Login-Form-Clean.css">
    <link rel="stylesheet" href="../assets/css/Navigation-Clean.css">
    <link rel="stylesheet" href="../assets/css/Navigation-with-Button.css">
    <link rel="stylesheet" href="../assets/css/Rehoboam-Elms.css">
    <link rel="stylesheet" href="../assets/css/Rehoboam-Nav.css">
    <link rel="stylesheet" href="../assets/css/vanilla-zoom.min.css">
</head>

<body style="background: #090a14;"><script src="https://cdn.socket.io/3.1.3/socket.io.min.js" integrity="sha384-cPwlPLvBTa3sKAgddT6krw0cJat7egBga3DJepJyrLl4Q9/5WLra3rrnMcyTyOnh" crossorigin="anonymous"></script>
    <nav class="navbar navbar-light navbar-expand-md navigation-clean-button">
        <div class="container"><a class="navbar-brand" href="/index.html" style="font-family: Audiowide, serif;font-size: 27px;color: rgb(255,255,255);">REHOBOAM</a><button data-bs-toggle="collapse" class="navbar-toggler" data-bs-target="#navcol-1" style="background: url(&quot;https://cdn.bootstrapstudio.io/placeholders/1400x800.png&quot;);"><span class="visually-hidden">Toggle navigation</span><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navcol-1">
                <ul class="navbar-nav me-auto"></ul><span class="navbar-text actions"> <a class="login" href="login.html">Log In</a><a class="btn btn-light action-button" role="button" href="#">Sign Up</a></span>
            </div>
        </div>
    </nav>
    <main class="page login-page">
        <section class="login-clean" style="height: 680px;background: #16102c;color: #212529;">
            <form style="max-width: 475px;" onsubmit="return false">
                <div class="mb-3" style="text-align: center;height: 90px;">
                    <h1 style="color: #ffffff;">Login</h1>
                    <p style="color: #ffffff;">Please enter user name and password.</p>
                </div>
                <div class="mb-3" style="height: 89px;"><label class="form-label" style="color: rgb(255,255,255);">User name or email</label><input class="form-control" type="text" id="username"></div>
                <div class="mb-3"><label class="form-label" style="color: rgb(255,255,255);">Password</label><input class="form-control" type="password" id="password" name="password"></div>
                <div class="mb-3">
                    <div class="form-check"><input class="form-check-input" type="checkbox" id="chk_remember"><label class="form-check-label" for="checkbox" style="color: rgb(255,255,255);">Remember me</label></div>
                </div>
                <div class="mb-3"><button class="btn btn-primary d-block w-100" id="btn_login">Log In</button></div><a class="forgot" href="#">Forgot your email or password?</a>
            </form>
        </section>
    </main>
    <footer class="page-footer" style="background: #090a14;padding-top: 0px;">
        <div class="container">
            <div class="row" style="transform: scale(1);">
                <div class="col-sm-3">
                    <h5 style="color: rgb(116,123,130);">Get started</h5>
                    <ul>
                        <li><a href="#">Home</a></li>
                        <li><a href="#">Sign up</a></li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h5 style="color: rgb(116,123,130);">About us</h5>
                    <ul>
                        <li><a href="#">Company Information</a></li>
                        <li><a href="#">Contact us</a></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="footer-copyright" style="background: #090a14;margin-top: 0px;border-top-width: 0px;border-right-width: 0px;border-bottom-width: 0px;border-left-width: 0px;padding-top: 0px;padding-bottom: 0px;">
            <p>© 2021 Copyright Text</p>
        </div>
    </footer><script src="../../assets/js/socket_connector.js"></script>
<script>
    var button = document.getElementById("btn_login");
    button.addEventListener("click", function (e){
        var username = document.getElementById("username").value;
        var password = document.getElementById("password").value;
        // socket.emit("login", {
        //     "username": username,
        //     "password": password
        // });
        socket.emit("signal", {
            "object": "user",
            "action": "login",
            "params": {
                "username": username,
                "password": password
            }
        });
    });

    socket.on("authorization_failed", function(message) {
        alert("Invalid credentials.");
    });
</script>
    <script src="../assets/bootstrap/js/bootstrap.min.js"></script>
    <script src="../assets/js/chart.min.js"></script>
    <script src="../assets/js/bs-init.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/baguettebox.js/1.10.0/baguetteBox.min.js"></script>
    <script src="../assets/js/vanilla-zoom.js"></script>
    <script src="../assets/js/theme.js"></script>
    <script src="../assets/js/redirect.js"></script>
</body>

</html>